Package org.eclipse.emf.compare.postprocessor

## Interface IPostProcessor

    public interface IPostProcessor

Implementations of this interface can be used in order to tell EMF Compare how to make post treatments at each step of the comparison.

### Nested Class Summary

Nested Classes
`static interface` `IPostProcessor.Descriptor` Wrapper describing the given post processor.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `postComparison​(Comparison comparison, Monitor monitor)` This will be called by EMF Compare in order to execute the specified behavior after a comparison, from a `comparison`.
`void` `postConflicts​(Comparison comparison, Monitor monitor)` This will be called by EMF Compare in order to execute the specified behavior after the conflicts step, from a `comparison`.
`void` `postDiff​(Comparison comparison, Monitor monitor)` This will be called by EMF Compare in order to execute the specified behavior after the difference step, from a `comparison`.
`void` `postEquivalences​(Comparison comparison, Monitor monitor)` This will be called by EMF Compare in order to execute the specified behavior after the equivalences step, from a `comparison`.
`void` `postMatch​(Comparison comparison, Monitor monitor)` This will be called by EMF Compare in order to execute the specified behavior after the match step, from a `comparison`.
`void` `postRequirements​(Comparison comparison, Monitor monitor)` This will be called by EMF Compare in order to execute the specified behavior after the requirements step, from a `comparison`.

### Method Detail

#### postMatch

    void postMatch​(Comparison comparison,
                   Monitor monitor)

This will be called by EMF Compare in order to execute the specified behavior after the match step, from a `comparison`.

Parameters:
  `comparison` - The comparison after the match step.
  `monitor` - The monitor to report progress or to check for cancellation
Since:
  3.0

#### postDiff

    void postDiff​(Comparison comparison,
                  Monitor monitor)

This will be called by EMF Compare in order to execute the specified behavior after the difference step, from a `comparison`.

Parameters:
  `comparison` - The comparison after the difference step.
  `monitor` - The monitor to report progress or to check for cancellation
Since:
  3.0

#### postRequirements

    void postRequirements​(Comparison comparison,
                          Monitor monitor)

This will be called by EMF Compare in order to execute the specified behavior after the requirements step, from a `comparison`.

Parameters:
  `comparison` - The comparison after the requirements step.
  `monitor` - The monitor to report progress or to check for cancellation
Since:
  3.0

#### postEquivalences

    void postEquivalences​(Comparison comparison,
                          Monitor monitor)

This will be called by EMF Compare in order to execute the specified behavior after the equivalences step, from a `comparison`.

Parameters:
  `comparison` - The comparison after the equivalences step.
  `monitor` - The monitor to report progress or to check for cancellation
Since:
  3.0

#### postConflicts

    void postConflicts​(Comparison comparison,
                       Monitor monitor)

This will be called by EMF Compare in order to execute the specified behavior after the conflicts step, from a `comparison`.

Parameters:
  `comparison` - The comparison after the conflicts step.
  `monitor` - The monitor to report progress or to check for cancellation
Since:
  3.0

#### postComparison

    void postComparison​(Comparison comparison,
                        Monitor monitor)

This will be called by EMF Compare in order to execute the specified behavior after a comparison, from a `comparison`.

Parameters:
  `comparison` - The comparison after the all steps.
  `monitor` - The monitor to report progress or to check for cancellation
Since:
  3.0